#pragma once
#include "Item.h"

class Bullet: public Item
{
public:
	AttackProp* _property;
	cocos2d::Vec2 _direction;

	Bullet(void);
	Bullet(unsigned id,
		unsigned type,
		unsigned team,
		cocos2d::Vec2 position,
		cocos2d::Node* parent,
		cocos2d::Vec2 direction = cocos2d::Vec2(0,0),
		float speed = 0);
	~Bullet(void);

	void init(int prop, cocos2d::Vec2 direction, cocos2d::Vec2 size);
	virtual void UpdateRect();
};

